Torba v1.0.0 Release Notes

Release Date: 2016-04-09 // over 5 years ago
  • ๐Ÿ’ฅ Breaking changes

    • ๐Ÿšš Rails support has been removed. Use [torba-rails][torba-rails] instead.
    • torba/verify no longer checks, whether it is executed within Rake task or not. This was a workaround for Rails support, which is no longer a goal of this gem.
    • torba/verify no longer checks TORBA_DONT_VERIFY env variable. Same as above.

    โฌ†๏ธ Upgrading notes

    โšก๏ธ If you are a non-Rails user, this should be a non-breaking update. In rare cases, when you depend on old behaviour of torba/verify, please, add the conditionals to your application code.

    ๐Ÿš… Rails users should:

    ๐Ÿš… 1. Replace gem "torba" with gem "torba-rails" in the Gemfile. ๐Ÿšš 2. Remove require "torba/verify" from boot.rb. ๐Ÿšš 3. Remove require "torba/rails" from application.rb.

    1. Unset obsolete TORBA_DONT_VERIFY env variable if present.

    โœจ Enhancements

    • Rake task accepts a block to be executed before packing process

    ๐Ÿš… [torba-rails]: https://github.com/torba-rb/torba-rails